Opened 7 years ago

Last modified 7 years ago

#8848 closed bug

Build: release.js fails to require shelljs/global — at Version 3

Reported by: Jörn Zaefferer Owned by:
Priority: minor Milestone: git
Component: [meta] ui.build Version: git (not yet released)
Keywords: Cc:
Blocked by: Blocking:

Description (last modified by Jörn Zaefferer)

Trying to release 1.9.2. Running node release.js fails here: https://github.com/jquery/jquery-ui/blob/8def77cb5cfefb733874d15a2294f02fc5ae78ae/build/release/release.js#L353

Error: Cannot find module 'shelljs/global'

Its installed in release/node_modules. I guess it doesn't work because the dependency is installed inside the release folder, but require runs one level higher up.

Installing shelljs globally doesn't help either.

When doing the 1.9.1 release, I ended up with shelljs 0.0.8. I tried installing that version, didn't make a difference.

Change History (3)

comment:1 Changed 7 years ago by Jörn Zaefferer

Description: modified (diff)

comment:2 Changed 7 years ago by Jörn Zaefferer

Status: newopen

comment:3 Changed 7 years ago by Jörn Zaefferer

Description: modified (diff)
Note: See TracTickets for help on using tickets.